<style>
    table {
          width: 100% !important;
      }
      .danger{
      background-color:#f44336 !important;
    }
  
    #products > .center > .header .search-wrapper {
  width: 100%;
  max-width: 480px;
  background-color: #ffffff;
  border-radius: 28px;
  overflow: hidden;
  box-shadow: 0px 2px 1px -1px rgba(0, 0, 0, 0.2), 0px 1px 1px 0px rgba(0, 0, 0, 0.14), 0px 1px 3px 0px rgba(0, 0, 0, 0.12);
  }
  #products > .center > .header .search-wrapper .search input {
  width: 100%;
  height: 48px;
  min-height: 48px;
  max-height: 48px;
  padding: 0 16px;
  border: none;
  outline: none;
  }
  
  .header .search-wrapper .search .mat-icon {
  color: rgba(0, 0, 0, 0.54);
  }
  .mat-icon {
  background-repeat: no-repeat;
  display: inline-block;
  fill: currentColor;
  height: 24px;
  width: 24px;
  }
  .mat-icon {
  font-weight: 400 !important;
  line-height: 1;
  }
  </style>
  <div id="products" class="page-layout carded fullwidth">
  
      <!-- TOP BACKGROUND -->
      <div class="top-bg accent"></div>
      <!-- / TOP BACKGROUND -->
  
      <!-- CENTER -->
      <div class="center">
  
          <!-- HEADER -->
          <div class="header accent"
               fxLayout="column" fxLayoutAlign="center center"
               fxLayout.gt-sm="row" fxLayoutAlign.gt-sm="space-between center">
  
              <!-- APP TITLE -->
              <div class="logo mb-24 mb-md-0"
                   fxLayout="row" fxLayoutAlign="start center">
                  <mat-icon class="logo-icon s-32 mr-16" [@animate]="{value:'*',params:{delay:'50ms',scale:'0.2'}}">
                    report
                  </mat-icon>
                  <span class="logo-text h1" [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">
                      {{title}}
                  </span>
              </div>
              <!-- / APP TITLE -->

  
          </div>
          <!-- / HEADER -->
  
          <!-- CONTENT CARD -->
          <div class="content-card">
  
              <form  name="form" [formGroup]="form">
      
              <div>
                <mat-form-field  style="margin-left: 15px;
                margin-top: 15px !important;
                margin-bottom: 10px !important;">
                  <mat-label>Filter Processor</mat-label>

                  <select matNativeControl formControlName="processor_id" (change)="filterChange()" required>
                    <option value="">-- Select Processor --</option>
                    <option [value]="1" >Select All Processors</option>  
                    </select>
  
                </mat-form-field>


                <mat-form-field  style="margin-left: 15px;
                margin-top: 15px !important;
                margin-bottom: 10px !important;">
                  <mat-label>Filter Processor Type</mat-label>

                  <select matNativeControl formControlName="processor_type" (change)="filterChange()" required>
                    <option value="">-- Select Processor Type --</option>
                    <option value="{{pType['id']}}"  *ngFor="let pType of pTypeData">
                      {{pType['title']}} </option>
                    </select>
  
                </mat-form-field>


            <mat-form-field  style="margin-left: 15px;
            margin-top: 15px !important;
            margin-bottom: 10px !important;">
              <mat-label>Filter STEmail</mat-label>
              <select matNativeControl formControlName="STEmail" (change)="filterChange()">
                  <option value="">-- Select STEmail --</option>
                  <option [value]="1" >Yes</option>  
                  <option [value]="2" >No</option>  
              </select>
            </mat-form-field>

            <mat-form-field  style="margin-left: 15px;
            margin-top: 15px !important;
            margin-bottom: 10px !important;">
              <mat-label>Filter Type</mat-label>
              <select matNativeControl formControlName="type" (change)="filterChange()">
                  <option [value]="1" >Assessments</option>  
                  <option [value]="2" >Refunds</option>  
              </select>
            </mat-form-field>

                <!-- <mat-form-field  style="margin-left: 15px;
                margin-top: 15px !important;
                margin-bottom: 10px !important;">
                  <mat-label>Filter Enterd Start Date</mat-label>
                  <input matInput [matDatepicker]="picker1" formControlName="check_Date"  (dateChange)="filterChange()" readonly>
                  <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                  <mat-datepicker #picker1></mat-datepicker>
                </mat-form-field>
                <mat-form-field  style="margin-left: 15px;
                margin-top: 15px !important;
                margin-bottom: 10px !important;" matSuffix>
                  <mat-label>Filter Enterd End Date</mat-label>
                  <input matInput [matDatepicker]="picker2" formControlName="check_Date1" (dateChange)="filterChange()"  readonly>
                  <mat-datepicker-toggle matSuffix [for]="picker2"></mat-datepicker-toggle>
                  <mat-datepicker #picker2></mat-datepicker>
                </mat-form-field> -->
                &nbsp;
                <button mat-flat-button color="accent" (click)="send('1')"  [disabled]="!form.valid || !STEmail">Send Reports</button> &nbsp;
                <button mat-flat-button color="accent" (click)="send('2')"  [disabled]="!form.valid">Generate Reports</button> &nbsp;
                <button mat-flat-button color="accent" class="danger" (click)="ngOnInit();filterChange()"> Reset</button>
              </div>
              </form>
              <p>Selected {{processorCount}} processor</p>
              <mat-card *ngIf="isLoading" 
            style="display: flex; justify-content: center; align-items: center">
           <mat-progress-spinner 
             color="primary" 
             mode="indeterminate">
           </mat-progress-spinner>
         </mat-card> 
            <table mat-table  *ngIf="!isLoading" [dataSource]="dataSource" class="products-table mat-elevation-z8"  [@animateStagger]="{value:'50'}"
            fusePerfectScrollbar>

        <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef></th>
            <td mat-cell *matCellDef="let element; let i = index;">  {{element.processor_id}}  </td>
          </ng-container>
        

        <ng-container matColumnDef="processor">
            <th mat-header-cell *matHeaderCellDef> Processor  </th>
            <td mat-cell *matCellDef="let element">{{element.company}} </td>
        
          </ng-container>
        
          <!-- Weight Column -->
          <ng-container matColumnDef="assmentcount">
            <th mat-header-cell *matHeaderCellDef>{{sType}} Count </th>
            <td mat-cell *matCellDef="let element"> {{element.assesmentCount}} </td>
          </ng-container>        
              
                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
              </table>
            <center *ngIf=" !isLoading && dataSource.filteredData.length == 0">No Processor Selected!</center>
              <mat-paginator [pageSizeOptions]="[50]"></mat-paginator>


            </div>
          <!-- / CONTENT CARD -->
      </div>
      <!-- / CENTER -->
  </div>
  